<?php

$db1 = new SQLite3("./api/db/slc_message.db");
$db1->exec("CREATE TABLE IF NOT EXISTS messages(id INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL, message VARCHAR(100), userid TEXT,status TEXT,expire TEXT)");
$res1 = $db1->query("SELECT * FROM messages");
if (isset($_GET["delete"])) {
    $db1->exec("DELETE FROM messages WHERE id=" . $_GET["delete"]);
    header("Location: message_send.php");
}
include "includes/header.php";
echo "<div class=\"modal fade\" id=\"confirm-delete\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h2>Confirm</h2>\n            </div>\n            <div class=\"modal-body\">\n                Do you really want to delete?\n            </div>\n            <div class=\"modal-footer\">\n                <button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cancel</button>\n                <a class=\"btn btn-danger btn-ok\">Delete</a>\n            </div>\n        </div>\n    </div>\n</div>\n<main role=\"main\" class=\"col-15 pt-4 px-5\"><div class=\"row justify-text-center\"><div class=\"chartjs-size-monitor\" style=\"position:absolute ; left: 0px; top: 0px; right: 0px; bottom: 0px; overflow: hidden; pointer-events: none; visibility: hidden; z-index: -1;\"><div class=\"chartjs-size-monitor-expand\" style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;\"><div style=\"position:absolute;width:1000000px;height:1000000px;left:0;top:0\"></div></div><div class=\"chartjs-size-monitor-shrink\" style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;\"><div style=\"position:absolute;width:200%;height:200%;left:0; top:0\"></div></div></div>\n          <div id=\"main\">\n            \n\n";
if (isset($_GET["message"])) {
    echo $_GET["message"];
}
echo "          <!-- Page Heading -->\n          <h1 class=\" h3 mb-1 text-gray-800\"> User Message</h1>\n                        <a button class=\"btn btn-success btn-icon-split\" id=\"button\" href=\"./message_create.php\">\n                        <span class=\"icon text-white-50\"><i class=\"fas fa-check\"></i></span><span class=\"text\">Create</span>\n                        </button></a>\n          </div>\n\t\t<div class=\"table-responsive\">\n\t\t\t<table class=\"table table-striped table-sm\">\n\t\t\t<thead class= \"text-primary\">\n\t\t\t\t<tr>\n\t\t\t\t<th>ID</th>\n\t\t\t\t<th>User ID</th>\n\t\t\t\t<th>Message</th>\n\t\t\t\t<th>Status</th>\n\t\t\t\t<th>Expire</th>\n\t\t\t\t<th>Edit</th>\n\t\t\t\t<th>Delete</th>\n\t\t\t\t</tr>\n\t\t\t</thead>\n";
while ($row1 = $res1->fetchArray()) {
    $id = $row1["id"];
    $userid = $row1["userid"];
    $message = $row1["message"];
    $status = $row1["status"];
    $expire = $row1["expire"];
    echo "\t\t\t<tbody>\n\t\t\t\t<tr>\n";
    echo "\t\t\t\t<td>" . $id . "</td>" . "\n";
    echo "\t\t\t\t<td><a href=\"./message_update.php?update=" . $id . ";\">" . $userid . "</a></td>" . "\n";
    echo "\t\t\t\t<td>" . $message . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $status . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $expire . "</td>" . "\n";
    echo "\t\t\t\t<td><a class=\"btn btn-icon\" href=\"./message_update.php?update=" . $id . "\"><span class=\"icon text-white-50\"><i class=\"fas fa-fw fa fa-pencil-square-o\" style=\"font-size:20px;color:blue\"></i></span></a></td>" . "\n";
    echo "             <td><a class=\"btn btn-icon\" href=\"#\" data-href=\"./message_send.php?delete=" . $id . "\" data-toggle=\"modal\" data-target=\"#confirm-delete\"><span class=\"icon text-white-50\"><i class=\"fas fa-fw fa fa-trash-o\"style=\"font-size:20px;color:red\"></i></span></a></td>" . "\n";
}
echo "\t\t\t\t</tr>\n\t\t\t</tbody>\n\t\t\t</table>\n\t\t</div>\n</main>\n\n    <br><br><br>";
include "includes/footer.php";
require "includes/slc.php";
echo "</body>\n";

?>